<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package darkel
 */
$opt = get_option('darkel_opt'); 
$if_footer_widget = isset( $opt['if_footer_widget'] ) ? $opt['if_footer_widget'] : '1';
$footer_social    = isset( $opt['footer_social_icon'] ) ? $opt['footer_social_icon'] : '1';
$copyright_txt    = isset( $opt['copyright_txt'] ) ? $opt['copyright_txt'] : '<p>Designed &amp; Developed by <a href="https://droitthemes.com/" target="_blank"> DroitThemes </a></p>';

?>
<footer class="footer_section">
<div class="container">
    <div class="row justify-content-between">
        <?php if($if_footer_widget == '1'): ?>
        <?php dynamic_sidebar( 'footer_sidebar' ); ?>
        <?php endif; ?>
        <div class="col-lg-12">
            <div class="copyright_part">
                <div class="row align-items-center">
                    <div class="col-lg-6 col-md-8">
                        <p style="text-align: center; color:#FFFFFF">Designed &amp; Developed by <a href="https://droitthemes.com/" target="_blank"> DroitThemes </a></p>
                    </div> 
                    <div class="col-lg-6 col-md-4">
                        <?php if($footer_social == '1'): ?>
                        <div class="social_icon">
                            <?php darkel_social_links(); ?>
                        </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

</footer>
<?php wp_footer(); ?>
</body>
</html>
