<?php

// OneClick Demo Importer
add_filter( 'pt-ocdi/import_files', 'darkel_import_files' );
function darkel_import_files() {
    return array(

         array(
            'import_file_name'             => esc_html__('darkel Demo Version', 'darkel_lite'),
            'categories'                   => array( esc_html__('Demo Page', 'darkel_lite') ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory() ).'inc/demos/Screenshot.png',
            'import_notice'                => esc_html__( 'Install and activate all required plugins before you click on the "Yes! Import" button.', 'darkel_lite' ),
            'preview_url'                  => 'https://droitthemes.com/wp/darkel/',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/settings.json',
                    'option_name' => 'darkel_opt',
                ),
            ),
        ),
    );
}

function darkel_after_import_setup() {
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

    set_theme_mod( 'nav_menu_locations', array(
            'main_menu' => $main_menu->term_id,
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );
    $blog_page_id  = get_page_by_title( 'Blog Page' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'pt-ocdi/after_import', 'darkel_after_import_setup' );
