<?php

/**
 * Register Google fonts.
 *
 * @return string Google fonts URL for the theme.
 */
function darkel_fonts_url() {
    $fonts_url = '';
    $fonts     = array();
    $subsets   = '';

    /* Body font */
    if ( 'off' !== 'on' ) {
        $fonts[] = "Poppins:300,400,500,600,700";
    }

    $is_ssl = is_ssl() ? 'https' : 'http';

    if ( $fonts ) {
        $fonts_url = add_query_arg( array(
            'family' => urlencode( implode( '|', $fonts ) ),
            'subset' => urlencode( $subsets ),
        ), "$is_ssl://fonts.googleapis.com/css" );
    }

    return $fonts_url;
}

function darkel_enque_scripts() {
    wp_enqueue_style( 'darkel-style', get_stylesheet_uri() );
    wp_enqueue_style('bootstrap',  darkel_DIR_CSS.'/bootstrap.min.css');
    wp_enqueue_style('animate',  darkel_DIR_CSS.'/animate.css');
    wp_enqueue_style('elegent_icon',  darkel_DIR_VEND.'/elegant_Icon/elegent_icon.css');
    wp_enqueue_style('nice-select',  darkel_DIR_VEND.'/niceselect/css/nice-select.css');
    wp_enqueue_style('carousel',  darkel_DIR_VEND.'/owl_carousel/css/owl.carousel.css');
    wp_enqueue_style('magnific',  darkel_DIR_VEND.'/magnify_popup/magnific-popup.css');
    wp_enqueue_style('Countdown',  darkel_DIR_VEND.'/countdown/css/Countdown.css');
    wp_enqueue_style('flaticon',  darkel_DIR_CSS.'/flaticon.css');
    wp_enqueue_style('aos',  darkel_DIR_VEND.'/aos/aos.css');
    wp_enqueue_style('style',  darkel_DIR_CSS.'/style.css');
    
  // js Style

    wp_enqueue_script( 'jquery-min', darkel_DIR_JS.'/jquery-3.4.1.min.js', array('jquery'), '3.4.1', true );
    wp_enqueue_script( 'popper-min', darkel_DIR_JS.'/popper.min.js', array('jquery'), '1.0.0', true );
    wp_enqueue_script( 'bootstrap-min', darkel_DIR_JS.'/bootstrap.min.js', array('jquery'), '4.4.1', true );
    wp_enqueue_script( 'nice-select', darkel_DIR_VEND.'/niceselect/js/jquery.nice-select.min.js', array('jquery'), '1.0.0', true );
    wp_enqueue_script( 'carousel-min', darkel_DIR_VEND.'/owl_carousel/js/owl.carousel.min.js', array('jquery'), '2.3.4', true );
    wp_enqueue_script( 'magnific-popup', darkel_DIR_VEND.'/magnify_popup/jquery.magnific-popup.js', array('jquery'), '1.0.0', true );
    wp_enqueue_script( 'simplyCountdown', darkel_DIR_VEND.'/countdown/js/simplyCountdown.min.js', array('jquery'), '1.5.0', true );
    wp_enqueue_script( 'countTo', darkel_DIR_VEND.'/counter/jquery.countTo.js', array('jquery'), '1.0.0', true );
    wp_enqueue_script( 'aos-js', darkel_DIR_VEND.'/aos/aos.js', array('jquery'), '1.0.0', true );
    wp_enqueue_script( 'custom', darkel_DIR_JS.'/custom.js', array('jquery'), '1.0.0', true );
    wp_enqueue_script( 'comming-soon', darkel_DIR_JS.'/comming-soon.js', array('jquery'), '1.0.0', true );
    wp_enqueue_script( 'gmap', darkel_DIR_VEND.'/gmp3/map.js', array('jquery'), '1.0.0', true );
   // wp_enqueue_script( 'google_js', 'https://maps.googleapis.com/maps/api/js?libraries=places&key=AIzaSyDs3mrTgrYd6_hJS50x4Sha1lPtS2T-_JA', '5.3.2', true );




// Custome CSS Add

 if(function_exists('get_field')) {
        
        $menu_section_bg_color   = function_exists('get_field') ? get_field('menu_section_bg_color') : '';
        $menu_font_color         = function_exists('get_field') ? get_field('menu_font_color') : '';
        $menu_hover_active_color = function_exists('get_field') ? get_field('menu_hover_active_color') : '';
        $sub_menu_font_color     = function_exists('get_field') ? get_field('sub_menu_font_color') : '';

        $button_background_color = function_exists('get_field') ? get_field('button_background_color') : '';
        $button_font_color = function_exists('get_field') ? get_field('button_font_color') : '';
        
        $button_hover_background = function_exists('get_field') ? get_field('button_hover_background') : '';
        $button_hover_text_color = function_exists('get_field') ? get_field('button_hover_text_color') : '';
        $button_hover_border_color = function_exists('get_field') ? get_field('button_hover_border_color') : '';

      ?> 
        <style type="text/css">
            .main_nav{ background-color: <?php echo wp_kses_post($menu_section_bg_color); ?> }
            .menu_fixed{ background-color: <?php echo wp_kses_post($menu_section_bg_color); ?> !important }
            .navbar_bar ul li a{ color: <?php echo wp_kses_post($menu_font_color); ?> !important;}
            .navbar_bar ul li a:hover{ color: <?php echo wp_kses_post($menu_hover_active_color); ?> !important; }
            .navbar_bar ul li ul li a { color: <?php echo wp_kses_post($sub_menu_font_color); ?>!important;   }


            .btn_1{ 
               background-color: <?php echo wp_kses_post($button_background_color); ?> !important;
               border: 2px solid <?php echo wp_kses_post($button_background_color); ?> !important;
               color: <?php echo wp_kses_post($button_font_color); ?> !important;
            }
            .header_part .btn_1:hover{
                border: 2px solid <?php echo wp_kses_post($button_hover_border_color); ?> !important;
                background-color: <?php echo wp_kses_post($button_hover_background); ?> !important;
                color: <?php echo wp_kses_post($button_hover_text_color); ?> !important;
            }
        </style>
          
   <?php 
            
}

// Custome CSS End
    
}
add_action( 'wp_enqueue_scripts', 'darkel_enque_scripts' );                                                                                        

  