<?php
// Header Section
Redux::setSection('darkel_opt', array(
    'title'            => esc_html__( 'Header Settings', 'darkel_lite' ),
    'id'               => 'header_sec',
    'customizer_width' => '400px',
    'icon'             => 'el el-arrow-up',
));

// Logo
Redux::setSection('darkel_opt', array(
    'title'            => esc_html__( 'Logo Settings', 'darkel_lite' ),
    'id'               => 'logo_opt',
    'subsection'       => true,
    'icon'             => 'el el-lines',
    'fields'           => array(
        array(
            'id'        => 'is_preloader',
            'type'      => 'switch',
            'title'     => esc_html__( 'Preloader Settings', 'darkel_lite' ),
            'on'        => esc_html__('Enable', 'darkel_lite'),
            'off'       => esc_html__('Disable', 'darkel_lite'),
            'default'   => true,
        ),
        array(
            'title'     => esc_html__('Upload logo', 'darkel_lite'),
            'subtitle'  => esc_html__( 'Upload here a image file for your logo', 'darkel_lite' ),
            'id'        => 'main_logo',
            'type'      => 'media',
            'compiler'  => true,
            'default'   => array(
                'url'   => get_template_directory_uri().'/assets/img/logo.png'
            )
        ),
        array(
            'title'     => esc_html__('Sticky header logo', 'darkel_lite'),
            'id'        => 'sticky_logo',
            'type'      => 'media',
            'compiler'  => true,
            'default'   => array(
                'url'   => get_template_directory_uri().'/assets/img/logo.png'
            )
        ),       
        array(
            'title'     => esc_html__('Logo dimensions', 'darkel_lite'),
            'subtitle'  => esc_html__( 'Set a custom height width for your upload logo.', 'darkel_lite' ),
            'id'        => 'logo_dimensions',
            'type'      => 'dimensions',
            'units'     => array('em','px','%'),
            'output'    => '.logo>img'
        ),
        array(
            'title'     => esc_html__('Padding', 'darkel_lite'),
            'subtitle'  => esc_html__('Padding around the logo. Input the padding as clockwise (Top Right Bottom Left)', 'darkel_lite'),
            'id'        => 'logo_padding',
            'type'      => 'spacing',
            'output'    => array( '.logo' ),
            'mode'      => 'padding',
            'units'     => array( 'em', 'px', '%' ),      // You can specify a unit value. Possible: px, em, %
            'units_extended' => 'true',
        ),
    )
) );
// Button Section
Redux::setSection('darkel_opt', array(
    'title'            => esc_html__( 'Menu Button', 'darkel_lite' ),
    'id'               => 'menu_get_start_button',
    'customizer_width' => '400px',
    'icon'             => 'el el-lines',
    'subsection'       => true,
    'fields'           => array(
        array(
            'id'        => 'is_menu_button',
            'type'      => 'switch',
            'title'     => esc_html__( 'Get Started Button', 'darkel_lite' ),
            'subtitle'  => esc_html__( 'Switch to Disable if want to hide the Get Started Button.', 'darkel_lite' ),
            'on'        => esc_html__('Enable', 'darkel_lite'),
            'off'       => esc_html__('Disable', 'darkel_lite'),
            'default'   => true,
        ),
        array(
            'required' => array('is_menu_button', '=', '1'),
            'id'        => 'get_started',
            'type'      => 'text',
            'title'     => esc_html__( 'Button Text', 'darkel_lite' ),
            'subtitle'  => esc_html__( 'Enter The Button Text', 'darkel_lite' ),
            'default'   => esc_html__( 'Get Started', 'darkel_lite' ),
        ),
        array(
            'required' => array('is_menu_button', '=', '1'),
            'id'        => 'get_started_url',
            'type'      => 'text',
            'title'     => esc_html__( 'Button URL', 'darkel_lite' ),
            'subtitle'  => esc_html__( 'Enter Buton URL', 'darkel_lite' ),
            'default'   => esc_html__( '#', 'darkel_lite' ),
        ),
        array(
            'required' => array('is_menu_button', '=', '1'),
            'title'     => esc_html__('Background Color', 'darkel_lite'),
            'desc'      => esc_html__('The Header Top Bar background Color', 'darkel_lite'),
            'id'        => 'topbar_bgcolor',
            'type'      => 'color',
            'mode'      => 'background',
            'output'    => array( '.btn_1' )
        ),
        array(
            'required' => array('is_menu_button', '=', '1'),
            'title'     => esc_html__('Font Color', 'darkel_lite'),
            'desc'      => esc_html__('The Header Top Bar Font Color', 'darkel_lite'),
            'id'        => 'topbar_font_color',
            'type'      => 'color',
            'output'    => array( '.btn_1' )
        ),
        array(
            'required' => array('is_menu_button', '=', '1'),
            'title'     => esc_html__('Typography Settings', 'darkel_lite'),
            'desc'      => esc_html__('The Menu Right Button Typography Settings', 'darkel_lite'),
            'id'        => 'topbar_typography',
             'type'     => 'typography',
            'color'     => false,
            'output'    => '.btn_1',
        ),
    )
));