<?php
// Navbar styling
Redux::setSection('darkel_opt', array(
    'title'            => esc_html__( 'Menu Settings', 'darkel_lite' ),
    'id'               => 'menu_opt',
    'icon'             => 'el el-lines',
    'fields'           => array(
        array(
            'id'            => 'menu_typo',
            'type'          => 'typography',
            'title'         => esc_html__( 'Menu Typography', 'darkel_lite'),
            'subtitle'      => esc_html__( 'Menu item typography options', 'darkel_lite'),
            'color'         => false,
            'output'        => '.navbar_bar ul li a'
        ),
        array(
            'title'     => esc_html__('Menu Item Color', 'darkel_lite'),
            'subtitle'  => esc_html__('Menu item font color', 'darkel_lite'),
            'id'        => 'menu_font_color',
            'output'    => '.navbar_bar ul li a',
            'type'      => 'color',
        ),
        array(
            'title'     => esc_html__('Menu Active Color', 'darkel_lite'),
            'subtitle'  => esc_html__('Menu item active and hover font color', 'darkel_lite'),
            'id'        => 'menu_active_font_color',
            'output'    => array(
                'background' => '.navbar_bar ul li a:hover::before',
            ),
            'type'      => 'color',
        ),
        array(
            'title'     => esc_html__('Menu item margin', 'darkel_lite'),
            'subtitle'  => esc_html__('Margin around menu item.', 'darkel_lite'),
            'id'        => 'menu_item_margin',
            'type'      => 'spacing',
            'output'    => array( '.navbar_bar ul li a' ),
            'mode'      => 'margin',
            'units'     => array( 'em', 'px', '%' ),      // You can specify a unit value. Possible: px, em, %
            'units_extended' => 'true',
        ),
        // Sticky menu settings section
        array(
            'id' => 'sticky_menu_start',
            'type' => 'section',
            'title' => esc_html__('Sticky menu settings', 'darkel_lite'),
            'subtitle' => esc_html__('The following settings will only apply on the sticky header mode..', 'darkel_lite'),
            'indent' => true
        ),
        array(
            'title'     => esc_html__('Menu Color', 'darkel_lite'),
            'subtitle'  => esc_html__('Menu item font color on sticky menu mode.', 'darkel_lite'),
            'id'        => 'sticky_menu_font_color',
            'output'    => '.navbar_bar ul li a',
            'type'      => 'color',
        ),
        array(
            'title'     => esc_html__('Menu Active Color', 'darkel_lite'),
            'subtitle'  => esc_html__('Menu item active font color on header sticky mode', 'darkel_lite'),
            'id'        => 'menu_sticky_active_font_color',
            'output'    => array(
                'color' => '
                    .navbar_bar ul li a.nav-link:hover::before,
                ',
            ),
            'type'      => 'color',
        ),
        array(
            'id'     => 'sticky_menu_end',
            'type'   => 'section',
            'indent' => false,
        ),
    )
));