<?php

/**
 * The sidebar containing the main widget area
 *
 * @package darkel
 * @author Droit Themes
 */

/**
 * Add Droit Themes categories widget
 */

class darkel_about_me extends WP_Widget {

    /**
     * Register widget with WordPress
     */
   public function __construct()  { // 'About us' Widget Defined
        parent::__construct('darkel_about_me', esc_html__('Footer :: About Us', 'darkel'), array(
            'description'   => esc_html__('About us widget by darkel', 'darkel'),
            'classname'     => 'about'
        ));
    }


   // Front End
    public function widget($args, $instance) {
        $title      = isset($instance['title']) ? esc_html($instance['title']) : '';
        $about_txt  = isset($instance['about_txt']) ? wp_kses_post($instance['about_txt']) : '';
        $img_link   = isset($instance['img_link']) ? esc_html($instance['img_link']) : '';
        $contact_number   = isset($instance['contact_number']) ? esc_html($instance['contact_number']) : '';
        $email_id   = isset($instance['email_id']) ? esc_html($instance['email_id']) : '';
        
        echo wp_kses_post($args['before_widget']);
           /*
            if ( $title ) {
                echo wp_kses_post($args['before_title'] . $title . $args['after_title']);
            }
            echo '<div class="about">';
            echo '<a href="#" class="f_logo">';
            echo '<img src="'. esc_url($img_link) .'"></a>';
            echo '<p>'. esc_html($about_txt) .'</p>';
            //echo '<a class="read_more" href="'. esc_url($email_id) .'">'. esc_html($contact_number) .'<i class="lnr lnr-arrow-right"></i></a>';
            echo '</div>';
            */
            ?>

            <div class="single_feature_footer">
              <?php if(!empty($img_link)): ?>
                <a href="<?php echo get_site_url(); ?>"><img src="<?php echo esc_url($img_link); ?>" alt="<?php echo get_bloginfo(); ?>"></a>
                <?php endif; ?>
                <p><?php echo esc_html($about_txt); ?></p>
                <div class="footer_contact_info">
                  <?php if(!empty($contact_number)): ?>
                    <a href="tel:<?php echo esc_html($contact_number); ?>"><i class="icon_phone"></i><?php echo esc_html($contact_number); ?></a>
                    <?php endif; ?>
                    <?php if(!empty($email_id)): ?>
                    <a href="mailto:<?php echo esc_html($email_id); ?>"><i class="icon_mail_alt"></i><?php echo esc_html($email_id); ?></a>
                    <?php endif; ?>
                </div>
            </div>

      <?php
        echo wp_kses_post($args['after_widget']);
    }


   // Backend
    public function form($instance) {

        $title      = isset($instance['title']) ? esc_html($instance['title']) : '';
        $about_txt  = isset($instance['about_txt']) ? wp_kses_post($instance['about_txt']) : '';
        $img_link   = isset($instance['img_link']) ? esc_html($instance['img_link']) : '';
        $contact_number   = isset($instance['contact_number']) ? esc_html($instance['contact_number']) : esc_html__('+88-01827609441', 'darkel');
        $email_id   = isset($instance['email_id']) ? esc_html($instance['email_id']) : esc_html__('info@droitthems.com', 'darkel');

    ?>
        <table style="width:100%">
            <!--Title-->
            <tr>
                <th style="text-align: left"> <label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e('Titile', 'darkel') ?></label> </th>
            </tr>
            <tr>
                <td>
                    <input type="text" id="<?php echo esc_attr($this->get_field_id('title')); ?>" class="widefat foot_logo_url" name="<?php echo esc_attr($this->get_field_name('title')); ?>" value="<?php echo wp_kses_post($title); ?>" placeholder="<?php esc_html('title', 'darkel'); ?>"/>
                </td>
            </tr>

            <!--About Text-->
            <tr>
                <th style="text-align: left"><label for="<?php echo esc_attr($this->get_field_id('about_txt')); ?>"><?php esc_html_e('About Text', 'darkel'); ?></label></th>
            </tr>
            <tr>
                <td>
                    <textarea name="<?php echo esc_attr($this->get_field_name('about_txt')); ?>" id="<?php echo esc_attr($this->get_field_id('about_txt')); ?>" cols="35" rows="10"><?php echo esc_textarea($about_txt); ?></textarea>
                    <br/>
                    <small> <?php esc_html_e('HTML tags allowed', 'darkel'); ?> </small>
                </td>
            </tr>
            <!--img link-->
            <tr>
                <th style="text-align: left"><label for="<?php echo esc_attr($this->get_field_id('img_link')); ?>"><?php esc_html_e('Image Source', 'darkel'); ?></label></th>
            </tr>
            <tr>
                <td>
                    <input type="text" id="<?php echo esc_attr($this->get_field_id('img_link')); ?>" class="widefat foot_logo_url" name="<?php echo esc_attr($this->get_field_name('img_link')); ?>" value="<?php echo esc_url($img_link); ?>" placeholder="<?php esc_html('img_link', 'darkel'); ?>"/>
                </td>
            </tr>

            <!--read more label-->
            <tr>
                <th style="text-align: left"><label for="<?php echo esc_attr($this->get_field_id('contact_number')); ?>"><?php esc_html_e('Contact Number', 'darkel'); ?></label></th>
            </tr>
            <tr>
                <td>
                    <input type="text" id="<?php echo esc_attr($this->get_field_id('contact_number')); ?>" class="widefat foot_logo_url" name="<?php echo esc_attr($this->get_field_name('contact_number')); ?>" value="<?php echo  wp_kses_post($contact_number); ?>"/>
                </td>
            </tr>

            <!--read more link-->
            <tr>
                <th style="text-align: left"><label for="<?php echo esc_attr($this->get_field_id('email_id')); ?>"><?php esc_html_e('Email Address', 'darkel'); ?></label></th>
            </tr>
            <tr>
                <td>
                    <input type="text" id="<?php echo esc_attr($this->get_field_id('email_id')); ?>" class="widefat foot_logo_url" name="<?php echo esc_attr($this->get_field_name('email_id')); ?>" value="<?php echo wp_kses_post($email_id); ?>"/>
                </td>
            </tr>

        </table>
    <?php
    }

   // Update Data
    public function update($new_instance, $old_instance){
        $instance = $old_instance;
        $instance['title']      = $new_instance['title'];
        $instance['about_txt']  = $new_instance['about_txt'];
        $instance['img_link']  = $new_instance['img_link'];
        $instance['contact_number']  = $new_instance['contact_number'];
        $instance['email_id']  = $new_instance['email_id'];

        return $instance;
    }

   }


function register_about_me_widget() {
    register_widget('darkel_about_me');
}

add_action('widgets_init', 'register_about_me_widget');


