<?php
/**
 * The sidebar containing the main widget area
 *
 * @package Agenccy
 * @author Dritlab
 */

/**
 * Add Agenccy Popular Post
 */

class widget_popular_posts extends WP_Widget {

    public function __construct() {
		parent::__construct(
			'widget_popular_posts',	// Base ID
			esc_html__( 'Ddoc :: Recent Posts', 'ddoc' ),	// Name
			array( 'description' => esc_html__( 'Popular Post widget.', 'ddoc' ) )	// Args
		);
	}

  public function widget( $args, $instance ) {
		echo $args['before_widget'];
		if( ! empty( $instance['title'] ) ) {
			echo $args['before_title'] . apply_filters( 'widget_title', $instance['title'] ) . $args['after_title'];
		}

		$recent_posts = new WP_Query( array(
			'posts_type'		=> 'post',
			'posts_per_page'	=> $instance['number'],
			'ignore_sticky_posts' => true
		) );
		if( $recent_posts->have_posts() ) : ?>

			<?php while( $recent_posts->have_posts() ) : $recent_posts->the_post(); ?>
			   
         <div class="media">
            <div class="media-left"><a href="<?php the_permalink() ?>"><?php the_post_thumbnail( 'ddoc_sidebar' ); ?></a></div>
            <div class="media-body">
                <h6 class="tn_tittle"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h6>
                <ul class="recent_post_meta">
                    <li><?php echo get_the_date(); ?></li>
                </ul>
            </div>
        </div>
			<?php
			endwhile;
			wp_reset_postdata();
			?>
		
		<?php 
		
		endif;
		echo $args['after_widget'];
	}


   function update($new_instance, $old_instance) {
       $new_instance['b'] = isset($new_instance['b']);
       return $new_instance;
   }

   function form($instance) {
        $instance = wp_parse_args( (array) $instance, array(  'title' => '', 'number' => '','showimage'=>'') );
        $title = isset($instance['title']) ? esc_attr($instance['title']) : '';
        $number = esc_attr($instance['number']);
        $showimage = esc_attr($instance['showimage']);
        ?>

       <p>
       <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:','ddoc'); ?></label>
       <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
   	   </p>

        <p>
            <label for="<?php echo $this->get_field_id('number'); ?>"><?php _e('Number of posts','ddoc'); ?>:</label>
            <input type="number" name="<?php echo $this->get_field_name('number'); ?>" value="<?php echo $number; ?>" class="widefat" id="<?php echo $this->get_field_id('number'); ?>" />
        </p>
         
        <p>
        	<input class="checkbox" id="<?php echo esc_attr( $this->get_field_id( 'showimage' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'showimage' ) ); ?>" type="checkbox"<?php if(!empty($instance['showimage'])){echo "checked='checked'";} ?>>

 			 <label for="<?php echo esc_attr( $this->get_field_id( 'showimage' ) ); ?>">Display post image?</label>
		</p>
       
    <?php
    }
}


// register aseo_Logo_Social_Widget
function register_ddoc_popular_post_widget() {
    register_widget('widget_popular_posts');
}

add_action('widgets_init', 'register_ddoc_popular_post_widget');
